import { Cli } from './cli';
import { AdderController, AdderControllerImpl } from './modules/adder';

export const addCommands = (cli: Cli) => {
	const adderController: AdderController = new AdderControllerImpl();

	cli.command({
		aliases: ['a'],
		command: 'add',
		parameters: ['<a> <b>'],
		describe: 'Add two numbers',
		handler: adderController.addNumbers,
	});

	return cli;
};
