import { createServer } from '@/server';
import { addRoutes } from '@/routes';
import * as config from '@/config';

const server = createServer({
	logger: config.meta.env !== 'test',
});

addRoutes(server);

server.listen(
	{ port: config.meta.port, host: config.meta.host },
	(err, address) => {
		if (err) {
			server.log.error(err.message);
			process.exit(1);
		}
		server.log.info(`server listening on ${address}`);
	},
);
